%define upstream_name	 Test-Deep
%define upstream_version 0.110

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extremely flexible deep comparison
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.90.0
BuildRequires: perl(Scalar::Util) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings) >= 0.20.0
BuildRequires: perl(Test::Tester) >= 0.40.0
BuildArch:  noarch

%description
Test::Deep gives you very flexible ways to check that the result you got is the
result you were expecting. At it's simplest it compares two structures by going
through each level, ensuring that the values match, that arrays and hashes have
the same elements and that references are blessed into the correct class. It
also handles circular data structures without getting caught in an infinite
loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 515151
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 373453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 267507
- update to 0.110

* Fri Feb 24 2012 jquelin <jquelin> 0.109.0-1.mga2
+ Revision: 213778
- update to 0.109

* Mon Feb 21 2011 spuhler <spuhler> 0.108.0-2.mga1
+ Revision: 55169
- Increased rel for rebuild against perl-5.12

* Wed Jan 19 2011 jquelin <jquelin> 0.108.0-1.mga1
+ Revision: 24061
- fix spec file
- imported package perl-Test-Deep


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.108.0-1mdv2011.0
+ Revision: 596036
- update to new version 0.108

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.106.0-2mdv2011.0
+ Revision: 426593
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - update to 0.106
    - update to 0.106

* Fri Mar 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.104-1mdv2009.1
+ Revision: 349682
- update to new version 0.104

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.103-2mdv2009.0
+ Revision: 268731
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.103-1mdv2009.0
+ Revision: 215041
- update to new version 0.103

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
+ Revision: 213630
- update to new version 0.102

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.101-1mdv2009.0
+ Revision: 208376
- update to new version 0.101

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.100-1mdv2008.1
+ Revision: 159905
- update to new version 0.100

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.099-1mdv2008.1
+ Revision: 104577
- update to new version 0.099

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.098-1mdv2008.1
+ Revision: 97567
- update to new version 0.098

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.097-1mdv2008.0
+ Revision: 63964
- update to new version 0.097


* Wed Dec 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.096-1mdv2007.0
+ Revision: 96134
- 0.096
- Import perl-Test-Deep

* Fri Apr 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.095-1mdk
- new version

* Fri Apr 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.094-1mdk
- new version  
- spec cleanup
- rpmbuildupdate aware
- better buildrequires syntax

* Fri Dec 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.093-1mdk
- 0.093

* Sat Oct 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.092-1mdk
- 0.092

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.089-1mdk
- Initial MDV release

